Bug 112780 - kernel-unsupported cannot find depmod during kickstart
kernel-unsupported cannot find depmod during kickstart
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-31 14:26 EST by Brian Long
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-02 07:18:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Long 2003-12-31 14:26:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
When I add kernel-unsupported to my kickstart, it gives the following
Installing kernel-unsupported-2.4.21-4.0.1.EL.i686.
/var/tmp/rpm-tmp.94934: line 1: depmod: command not found
error: %post(kernel-unsupported-2.4.21-4.0.1.EL) scriptlet failed,
exit status 127

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add kernel-unsupported to kickstart.
2. Look at install.log after the kickstart.

Actual Results:  Error message above

Expected Results:  Kernel-unsupported installs cleanly.

Additional info:

rpm -qp --requires kernel-unsupported-2.4.21-4.0.1.EL.i686.rpm only
lists /bin/sh and rpmlib.  It should list a requirement for modutils.
Comment 1 Brian Long 2003-12-31 14:34:49 EST
kernel-unsupported should probably require kernel so kickstart will
work.  Otherwise, kernel-unsupported could get installed before kernel.
Comment 2 Arjan van de Ven 2004-01-01 04:57:04 EST
kernel-unsupported HAS to be installed before kernel actually...
As for depmod; the kernel-unsupported package does:

[ -x /sbin/depmod ] && /sbin/depmod -ae

so should only run depmod if it exists...

but why do you install it at all ?????
Comment 3 Brian Long 2004-01-02 07:18:26 EST
FYI, kernel-unsupported-2.4.21-4.0.1.EL.i686.rpm just runs depmod -ae
without testing for its existence.

rpm -qp --scripts
postinstall scriptlet (through /bin/sh):
depmod -ae

Maybe the version you have in CVS tests for depmod, but the latest
published errata does not.  Anyways, sounds like you've got it fixed
in CVS so we can close this.  I'll pull it from our internal distro.

Note You need to log in before you can comment on or make changes to this bug.